<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-action.tld" prefix="action" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-html.tld" prefix="html" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-text.tld" prefix="text" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-logic.tld" prefix="logic" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-request.tld" prefix="request" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-resource.tld" prefix="resource" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-validator.tld" prefix="validator" %>
<%@ page import="java.util.*" %>
<%@ page import="jp.morpho.util.*" %>
<%@ page import="jp.morpho.webapp.servlet.http.*" %>
<%@ page import="jp.co.mintjams.generation.base.*" %>
<%@ page import="jp.co.mintjams.generation.base.util.*" %>
<%@ page import="jp.co.mintjams.generation.forum.*" %>
<%@ include file="/include/vars.jsp" %>
<%
	title = "フォーラム";
%>
<!-- header start -->
<%@ include file="/include/header.jsp" %>
<!-- header end -->

<!-- main start -->
<%@ include file="/include/page_link.jsp" %>
<%
	String categoryId = form.getString("categories_id");
	String forumId = form.getString("forums_id");
	String topicId = form.getString("topics_id");
	String url = actionRequest.getContextPath() + "/bb/" + categoryId + "/" + forumId;

	boolean registered = Boolean.valueOf((String)actionRequest.getAttribute(Globals.PROFILE_REGISTERED_KEY)).booleanValue();
	boolean manageable = (((String)actionRequest.getAttribute(Globals.USER_MANAGEABLE_KEY)).equals("1")) ? true : false;
	String userId = (String)actionRequest.getAttribute(Globals.USER_ID_KEY);

	String pageLink = createPageChangeLink(form.getInt("max_rows"), form.getInt("max_posts_rows"), form.getInt("page_no"));
	String scriptOrderByAsc = "document.pageForm.page_no.value='1';document.pageForm.sort.value='ASC'";
	String scriptOrderByDesc = "document.pageForm.page_no.value='1';document.pageForm.sort.value='DESC'";
%>

<html:form name="headerForm" action="<%= url %>">
<table width="100%" cellspacing="0" cellpadding="4">
	<tr valign="top">
		<td align="left">
			<a href="<request:contextpath/>/bb/"><img src="<request:contextpath/>/image/p01s.gif"> <b>メイン</b></a><br>
			&nbsp;&nbsp;<a href="<request:contextpath/>/bb/<%= categoryId %>/<%= forumId %>/"><img src="<request:contextpath/>/image/p01s.gif"> <b><html:encode name="forums_name"/></b></a><br>
			&nbsp;&nbsp;&nbsp;&nbsp;<a href="<request:contextpath/>/bb/<%= categoryId %>/<%= forumId %>/<%= topicId %>"><img src="<request:contextpath/>/image/p01s.gif"> <b><html:encode name="posts_title"/></b></a><br>
		</td>
		<td align="right">
		<% if (registered) { %>
		<html:actionbutton status="topic.input" action="init" name="newTopic" value="新規スレッド"/>
		<% } else { %>
		<a href="<%= profileContextPath %>/edit"><b>投稿するにはまず登録を</b></a>
		<% } %>
		</td>
	</tr>
</table>
</html:form>

<a name="pagetop"></a>
<table width="100%" cellspacing="0" cellpadding="4">
	<tr>
		<td align="left">
			<% if (form.getString("sort").equals("DESC")) { %>
			<html:actiona form="document.pageForm" action="" onclick="<%= scriptOrderByAsc %>"><b>古いものから</b></html:actiona>
			<% } else { %>
			<html:actiona form="document.pageForm" action="" onclick="<%= scriptOrderByDesc %>"><b>新しいものから</b></html:actiona>
			<% } %>
		</td>
		<td align="right">
			<a href="#pagebuttom"><b>下へ</b></a>
		</td>
	</tr>
</table>
<html:form name="form0">
<%
	List posts = (List)request.getAttribute("posts");
%>
<table width="100%" class="waku1" cellspacing="0" cellpadding="1">
	<tr>
		<td>
			<table width="100%" class="box2" cellspacing="1" cellpadding="4">
				<tr valign="top">
					<td class="title" width="20%" align="left">
						<b>投稿者</b><br>
					</td>
					<td class="title" width="80%" align="left">
						<b>スレッド</b><br>
					</td>
				</tr>

				<html:tbody scope="request" name="posts">
				<%
					int i = ((Integer)pageContext.getAttribute("posts.index")).intValue();
					PrimitiveHolderMap rowData = ConversionMap.valueOf((Map)posts.get(i));
					String postId = rowData.getString("posts_id");
					String scriptReply = "document.replyForm.posts_id.value='" + postId + "'";
					String scriptDelete = scriptReply + ";if (!confirmDelete()) {return false;}";
					double postFileSize = 0;
					boolean uploaded = (rowData.getString("postfiles_file_size").length() > 0) ? true : false;
					if (uploaded)
					{
						postFileSize = rowData.getDouble("postfiles_file_size") / 1024;
					}
					String scriptDownload = "document.downloadForm.posts_id.value='" + postId + "'";
					boolean deleted = (rowData.get("date_deleted") == null) ? false : true;
				%>
				<tr valign="top">
					<th align="left">
						<a href="<%= profileContextPath %>/view/<html:encode name="posters_id"/>"><html:encode name="posters_name"/></a><br>
					</th>
					<th align="left">
						投稿日時：<font class="dttext"><text:dateformat name="date_added" pattern="yyyy-MM-dd HH:mm:ss"/></font><br>
					</th>
				</tr>
				<tr class="line1" valign="top">
					<td align="left">
						<% if (rowData.getInt("posters_avatar") == 1) { %><img src="<%= profileContextPath %>/avatar/<html:encode name="posters_id"/>"><br><% } else { %><img src="<%= profileContextPath %>/image/obj_avatar.gif"><br><% } %>
						<div class="userstatus"><b>登録日：</b> <text:dateformat name="posters_added" pattern="yyyy-MM-dd"/></div>
					</td>
					<td align="left">
						<% if (!deleted) { %>
						<table cellspacing="0" cellpadding="4">
							<tr valign="middle">
								<td align="left">
									<font class="title"><html:encode name="posts_title"/></font>
								</td>
								<% if (uploaded) {%>
								<td align="left">
									&nbsp;<html:actiona form="document.downloadForm" status="post.file" action="download" onclick="<%= scriptDownload %>"><img src="<request:contextpath/>/image/p_tenpu.gif" alt="<text:numberformat value="<%= postFileSize %>" maximumfractiondigits="1"/>k"></html:actiona>
								</td>
								<% } %>
							</tr>
						</table>
						<html:encodelinebreak><html:encode name="posts_message"/></html:encodelinebreak>
						<% } else { %>
						このメッセージは <i><text:dateformat name="date_deleted" pattern="yyyy-MM-dd HH:mm:ss"/></i> に削除されました。
						<% } %>
					</td>
				</tr>
				<% if (registered && !deleted) { %>
				<tr class="line3" valign="top">
					<td colspan="2" align="right">
						<% if (manageable || userId.equals(form.getString("forums_moderators_id")) || rowData.getString("posters_id").equals(userId)) { %>
						<html:actionbutton form="document.replyForm" status="post.delete" action="ok" name="del" value="削除" onclick="<%= scriptDelete %>"/>
						&nbsp;&nbsp;
						<% } %>
						<html:actionbutton form="document.replyForm" status="topic.reply" action="init" name="reply" value="返信" onclick="<%= scriptReply %>"/>
					</td>
				</tr>
				<% } %>
				</html:tbody>

				<tr valign="top">
					<th colspan="2" align="center">
						<%= pageLink %>
					</th>
				</tr>
			</table>
		</td>
	</tr>
</table>
</html:form>
<table width="100%" cellspacing="0" cellpadding="4">
	<tr>
		<td align="left">
			<% if (form.getString("sort").equals("DESC")) { %>
			<html:actiona form="document.pageForm" action="" onclick="<%= scriptOrderByAsc %>"><b>古いものから</b></html:actiona>
			<% } else { %>
			<html:actiona form="document.pageForm" action="" onclick="<%= scriptOrderByDesc %>"><b>新しいものから</b></html:actiona>
			<% } %>
		</td>
		<td align="right">
			<a href="#pagetop"><b>上へ</b></a>
		</td>
	</tr>
</table>
<a name="pagebuttom"></a>

<html:form name="pageForm">
<html:hidden name="page_no"/>
<html:hidden name="sort"/>
</html:form>

<html:form name="replyForm">
<html:hidden name="categories_id"/>
<html:hidden name="forums_id"/>
<html:hidden name="topics_id"/>
<html:hidden name="posts_id"/>
</html:form>

<html:form name="downloadForm">
<html:hidden name="posts_id"/>
</html:form>
<!-- main end -->

<!-- footer start -->
<%@ include file="/include/footer.jsp" %>
<!-- footer end -->
<%
/*
 * MORPHO GENERATION-F, Open Source Groupware Solutions
 * http://www.mintjams.jp/
 *
 * Copyright (c) 2004, MintJams, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3. Neither the name of the MintJams, Inc. nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
%>
