<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-action.tld" prefix="action" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-html.tld" prefix="html" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-text.tld" prefix="text" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-logic.tld" prefix="logic" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-request.tld" prefix="request" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-resource.tld" prefix="resource" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-validator.tld" prefix="validator" %>
<%@ page import="java.util.*" %>
<%@ page import="jp.morpho.util.*" %>
<%@ page import="jp.morpho.webapp.servlet.http.*" %>
<%@ page import="jp.co.mintjams.generation.base.*" %>
<%@ page import="jp.co.mintjams.generation.base.util.*" %>
<%@ include file="/include/vars.jsp" %>
<%
	title = "フォーラム";
%>
<action:mapping>
	<action:default>
		<action:handler>jp.co.mintjams.generation.base.action.DatabaseConnectionHandler</action:handler>
		<action:handler>jp.co.mintjams.generation.forum.action.SearchLatestPostsHandler</action:handler>
	</action:default>
</action:mapping>

<!-- header start -->
<%@ include file="/adapters/adapterheader.jsp" %>
<!-- header end -->

<!-- main start -->
<html:form name="form0">
<table width="100%" class="waku1" cellspacing="0" cellpadding="1">
	<tr>
		<td class="header"><b>最近投稿のあったスレッド 10件<b></td>
	</tr>
	<tr>
		<td>
			<table width="100%" class="box2" cellspacing="1" cellpadding="4">
				<tr valign="top">
					<th width="25%" align="left">
						フォーラム<br>
					</th>
					<th width="45%" align="left">
						スレッド<br>
					</th>
					<th width="10%" align="center">
						最終投稿者<br>
					</th>
					<th width="20%" align="center">
						投稿日時<br>
					</th>
				</tr>
				<html:tbody scope="request" name="latestposts">
				<logic:isodd>
				<tr class="line1" valign="top">
				</logic:isodd>
				<logic:iseven>
				<tr class="line2" valign="top">
				</logic:iseven>
					<td align="left">
						<a target="_parent" href="<request:contextpath/>/bb/<html:encode name="categories_id"/>/<html:encode name="forums_id"/>"><b><html:encode name="forums_name"/></b></a><br>
					</td>
					<td align="left">
						<a target="_parent" href="<request:contextpath/>/bb/<html:encode name="categories_id"/>/<html:encode name="forums_id"/>/<html:encode name="topics_id"/>?sort=DESC"><b><html:encode name="posts_title"/></b></a><br>
					</td>
					<td align="center">
						<html:encode name="lastposters_name"/><br>
					</td>
					<td align="center" nowrap>
						<text:dateformat name="date_lastposted" pattern="yyyy-MM-dd HH:mm:ss"/><br>
					</td>
				</tr>
				</html:tbody>
			</table>
		</td>
	</tr>
</table>
</html:form>
<!-- main end -->

<!-- footer start -->
<%@ include file="/adapters/adapterfooter.jsp" %>
<!-- footer end -->
<%
/*
 * MORPHO GENERATION-F, Open Source Groupware Solutions
 * http://www.mintjams.jp/
 *
 * Copyright (c) 2004, MintJams, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3. Neither the name of the MintJams, Inc. nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
%>
