<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-action.tld" prefix="action" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-html.tld" prefix="html" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-text.tld" prefix="text" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-logic.tld" prefix="logic" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-request.tld" prefix="request" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-resource.tld" prefix="resource" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-validator.tld" prefix="validator" %>
<%@ page import="java.util.*" %>
<%@ page import="jp.morpho.util.*" %>
<%@ page import="jp.morpho.webapp.servlet.http.*" %>
<%@ page import="jp.co.mintjams.generation.base.*" %>
<%@ page import="jp.co.mintjams.generation.base.util.*" %>
<%@ page import="jp.co.mintjams.generation.forum.*" %>
<%@ include file="/include/vars.jsp" %>
<%
	title = "フォーラム";
%>
<!-- header start -->
<%@ include file="/include/header.jsp" %>
<!-- header end -->

<!-- main start -->
<%@ include file="/include/page_link.jsp" %>
<%
	String categoryId = (String)actionRequest.getAttribute(ForumGlobals.CATEGORY_ID_KEY);
	String forumId = (String)actionRequest.getAttribute(ForumGlobals.FORUM_ID_KEY);
	String url = actionRequest.getContextPath() + "/bb/" + categoryId + "/" + forumId;

	boolean registered = Boolean.valueOf((String)actionRequest.getAttribute(Globals.PROFILE_REGISTERED_KEY)).booleanValue();
	boolean manageable = (((String)actionRequest.getAttribute(Globals.USER_MANAGEABLE_KEY)).equals("1")) ? true : false;
	String userId = (String)actionRequest.getAttribute(Globals.USER_ID_KEY);

	String pageLink = createPageChangeLink(form.getInt("max_rows"), form.getInt("max_topics_rows"), form.getInt("page_no"));
%>

<html:form name="headerForm" action="<%= url %>">
<table width="100%" cellspacing="0" cellpadding="4">
	<tr valign="top">
		<td align="left">
			<a href="<request:contextpath/>/bb/"><img src="<request:contextpath/>/image/p01s.gif"> <b>メイン</b></a><br>
			&nbsp;&nbsp;<a href="<request:contextpath/>/bb/<%= categoryId %>/<%= forumId %>/"><img src="<request:contextpath/>/image/p01s.gif"> <b><html:encode name="forums_name"/></b></a><br>
			(モデレータ :<a href="<%= profileContextPath %>/view/<html:encode name="forums_moderators_id"/>"><b><html:encode name="forums_moderators_name"/></b></a>)<br>
		</td>
		<td align="right">
		<% if (registered) { %>
		<html:actionbutton status="topic.input" action="init" name="newTopic" value="新規スレッド"/>
		<% } else { %>
		<a href="<%= profileContextPath %>/edit"><b>投稿するにはまず登録を</b></a>
		<% } %>
		</td>
	</tr>
</table>
</html:form>

<table width="100%" cellspacing="0" cellpadding="4">
	<tr>
		<td align="center">
		<b><%= pageLink %></b>
		</td>
	</tr>
</table>
<html:form name="form0">
<%
	List topics = (List)request.getAttribute("topics");
%>
<table width="100%" class="waku1" cellspacing="0" cellpadding="1">
	<tr>
		<td class="header">
			<b><html:encode name="forums_name"/></b><br>
		</td>
	</tr>
	<tr>
		<td>
			<table width="100%" class="box2" cellspacing="1" cellpadding="4">
				<tr valign="top">
					<th width="2%" align="center">
						<br>
					</th>
					<th width="2%" align="center">
						<br>
					</th>
					<th width="54%" align="left">
						スレッド<br>
					</th>
					<th width="5%" align="center">
						返信<br>
					</th>
					<th width="10%" align="center">
						投稿者<br>
					</th>
					<th width="5%" align="center">
						閲覧<br>
					</th>
					<th width="20%" align="center">
						日時<br>
					</th>
					<th width="2%" align="center">
						<br>
					</th>
				</tr>

				<html:tbody scope="request" name="topics">
				<%
					int i = ((Integer)pageContext.getAttribute("topics.index")).intValue();
					PrimitiveHolderMap rowData = ConversionMap.valueOf((Map)topics.get(i));
					String topicId = rowData.getString("topics_id");
					java.util.Date lastpostDate = rowData.getDate("date_lastposted");
					String iconName = "p02.gif";
					if (lastpostDate != null && !lastpostDate.before(lastvisitDate))
					{
						iconName = "p01.gif";
					}
				%>
				<logic:isodd>
				<tr class="line1" valign="top">
				</logic:isodd>
				<logic:iseven>
				<tr class="line2" valign="top">
				</logic:iseven>
					<td align="center">
						<a href="<request:contextpath/>/bb/<%= categoryId %>/<%= forumId %>/<%= topicId %>"><img src="<request:contextpath/>/image/<%= iconName %>"></a><br>
					</td>
					<td align="center">
						<img src="<request:contextpath/>/image/p_icon<html:encode name="topics_status"/>.gif"><br>
					</td>
					<td align="left">
						<a href="<request:contextpath/>/bb/<%= categoryId %>/<%= forumId %>/<%= topicId %>"><b><html:encode name="posts_title"/></b></a><br>
					</td>
					<td align="center">
						<text:numberformat name="topics_replies" template="count"/><br>
					</td>
					<td align="center">
						<a href="<%= profileContextPath %>/view/<html:encode name="posters_id"/>"><html:encode name="posters_name"/></a><br>
					</td>
					<td align="center">
						<text:numberformat name="topics_views" template="count"/><br>
					</td>
					<td align="center" nowrap>
						<text:dateformat name="date_lastposted" pattern="yyyy-MM-dd HH:mm:ss"/><br><a href="<%= profileContextPath %>/view/<html:encode name="lastposters_id"/>"><html:encode name="lastposters_name"/></a><br>
					</td>
					<td align="center">
						<% if (manageable || userId.equals(form.getString("forums_moderators_id")) || userId.equals(rowData.getString("posters_id"))) { %><html:checkbox name="topics_ids" value="<%= topicId %>"/><% } else { %><br><% } %>
					</td>
				</tr>
				</html:tbody>

				<tr valign="top">
					<th colspan="8" align="center">
						ソート順：
						<html:select name="sort_item">
							<html:option value="posts_title">スレッドタイトル</html:option>
							<html:option value="topics_replies">返信</html:option>
							<html:option value="posters_name">投稿者</html:option>
							<html:option value="topics_views">閲覧</html:option>
							<html:option value="date_lastposted">投稿日時</html:option>
						</html:select>
						<html:select name="sort">
							<html:option value="ASC">昇順</html:option>
							<html:option value="DESC">降順</html:option>
						</html:select>
						<html:select name="search_term">
							<html:option value="1">過去1日分</html:option>
							<html:option value="2">過去2日分</html:option>
							<html:option value="5">過去5日分</html:option>
							<html:option value="10">過去10日分</html:option>
							<html:option value="20">過去20日分</html:option>
							<html:option value="30">過去30日分</html:option>
							<html:option value="40">過去40日分</html:option>
							<html:option value="60">過去60日分</html:option>
							<html:option value="75">過去75日分</html:option>
							<html:option value="100">過去100日分</html:option>
							<html:option value="365">過去1年分</html:option>
							<html:option value="0">全て</html:option>
						</html:select>
						<html:actionbutton name="send" action="search" value="送信"/>
					</th>
				</tr>
			</table>
		</td>
	</tr>
</table>

<table width="100%" cellspacing="0" cellpadding="4">
	<tr>
		<td align="center">
		<b><%= pageLink %></b>
		</td>
	</tr>
</table>

<table width="100%" cellspacing="0" cellpadding="4">
	<tr>
		<td align="right">
			<html:actionbutton status="topics.delete" action="ok" name="delbtn" value="選択したスレッドを削除する" onclick="if (!confirmDelete()) {return false;}"/>
		</td>
	</tr>
</table>
</html:form>

<br>
<table cellspacing="0" cellpadding="0">
	<tr valign="middle">
		<td align="right"><img src="<request:contextpath/>/image/p01.gif"></td>
		<td align="left">・・・最終訪問日以降の新しい投稿があります。</td>
	</tr>
	<tr valign="middle">
		<td align="right"><img src="<request:contextpath/>/image/p02.gif"></td>
		<td align="left">・・・最終訪問日以降の新しい投稿はありません。</td>
	</tr>
</table>

<html:form name="pageForm">
<html:hidden name="page_no"/>
</html:form>
<!-- main end -->

<!-- footer start -->
<%@ include file="/include/footer.jsp" %>
<!-- footer end -->
<%
/*
 * MORPHO GENERATION-F, Open Source Groupware Solutions
 * http://www.mintjams.jp/
 *
 * Copyright (c) 2004, MintJams, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3. Neither the name of the MintJams, Inc. nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
%>
