<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-action.tld" prefix="action" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-html.tld" prefix="html" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-text.tld" prefix="text" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-logic.tld" prefix="logic" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-request.tld" prefix="request" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-resource.tld" prefix="resource" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-validator.tld" prefix="validator" %>
<%@ page import="java.util.*" %>
<%@ page import="jp.morpho.util.*" %>
<%@ page import="jp.morpho.webapp.servlet.http.*" %>
<%@ page import="jp.co.mintjams.generation.base.*" %>
<%@ page import="jp.co.mintjams.generation.base.util.*" %>
<%@ include file="/include/vars.jsp" %>
<%
	title = "フォーラム";
%>
<!-- header start -->
<%@ include file="/include/header.jsp" %>
<!-- header end -->

<!-- main start -->
<font class="ltext"><b><html:encode name="title"/></b></font><br>
<font class="stext"><html:encode name="subtitle"/></font><br>
<hr>

<table width="100%" cellspacing="0" cellpadding="4">
	<tr valign="top">
		<td align="left"><font class="stext">総スレッド数: <b><text:numberformat name="total_topics_count" template="count"/></b> |&nbsp;&nbsp;総投稿数: <b><text:numberformat name="total_posts_count" template="count"/></b></font></td>
		<td align="right"><font class="stext">現在の時刻: <text:dateformat value="<%= now %>" pattern="yyyy-MM-dd HH:mm:ss"/><br>最終訪問日: <text:dateformat name="date_lastvisited" pattern="yyyy-MM-dd"/></font></td>
	</tr>
</table>

<html:form name="form0">
<%
	List categories = (List)request.getAttribute("categories");
	for (int i = 0; i < categories.size(); i++)
	{
		ConversionMap category = ConversionMap.valueOf((Map)categories.get(i));
		String categoryId = category.getString("categories_id");
		List forums = (List)category.get("forums");
		if (forums == null)
		{
			forums = new Vector();
		}
		request.setAttribute("forums", forums);
%>
<table width="100%" class="waku1" cellspacing="0" cellpadding="1">
	<tr>
		<td class="header">
			<a href="<request:contextpath/>/bb/<%= categoryId %>/"><b><%= category.getString("categories_name") %></b></a><br>
		</td>
	</tr>
	<tr>
		<td>
			<table width="100%" class="box2" cellspacing="1" cellpadding="4">
				<tr valign="top">
					<th width="2%" align="center">
						<br>
					</th>
					<th width="58%" align="left">
						フォーラム<br>
					</th>
					<th width="10%" align="center">
						スレッド<br>
					</th>
					<th width="10%" align="center">
						投稿<br>
					</th>
					<th width="20%" align="center">
						最終投稿<br>
					</th>
				</tr>
				<html:tbody scope="request" name="forums">
				<%
					int j = ((Integer)pageContext.getAttribute("forums.index")).intValue();
					PrimitiveHolderMap rowData = ConversionMap.valueOf((Map)forums.get(j));
					String forumId = rowData.getString("forums_id");
					java.util.Date lastpostDate = rowData.getDate("date_lastposted");
					String iconName = "p02.gif";
					if (lastpostDate != null && !lastpostDate.before(lastvisitDate))
					{
						iconName = "p01.gif";
					}
				%>
				<logic:isodd>
				<tr class="line1" valign="top">
				</logic:isodd>
				<logic:iseven>
				<tr class="line2" valign="top">
				</logic:iseven>
					<td align="center">
						<a href="<request:contextpath/>/bb/<%= categoryId %>/<%= forumId %>"><img src="<request:contextpath/>/image/<%= iconName %>"></a><br>
					</td>
					<td align="left">
						<a href="<request:contextpath/>/bb/<%= categoryId %>/<%= forumId %>"><b><html:encode name="forums_name"/></b></a>
						<% if (!rowData.getDate("forums_date_added").before(lastvisitDate)) { %>
						&nbsp;<img src="<request:contextpath/>/image/p_new.gif">
						<% } %>
						<br>
						<html:encodelinebreak><html:encode name="forums_contents"/></html:encodelinebreak><br>
						<b>モデレータ</b> <a href="<%= profileContextPath %>/view/<html:encode name="moderators_id"/>"><html:encode name="moderators_name"/></a>
					</td>
					<td align="center">
						<text:numberformat name="topics_count" template="count"/><br>
					</td>
					<td align="center">
						<text:numberformat name="posts_count" template="count"/><br>
					</td>
					<td align="center" nowrap>
						<% if (lastpostDate != null) { %>
						<text:dateformat name="date_lastposted" pattern="yyyy-MM-dd HH:mm:ss"/><br>
						<a href="<%= profileContextPath %>/view/<html:encode name="lastposters_id"/>"><html:encode name="lastposters_name"/></a>
						&nbsp;<a href="<request:contextpath/>/bb/<%= categoryId %>/<%= forumId %>/<html:encode name="last_topics_id"/>"><img src="<request:contextpath/>/image/p_icon<html:encode name="topics_status"/>.gif" width="13" height="13"></a>
						<% } %>
						<br>
					</td>
				</tr>
				</html:tbody>
			</table>
		</td>
	</tr>
</table>

<br>
<%
	}
%>
</html:form>

<html:form name="searchForm">
<table width="100%" cellspacing="0" cellpadding="0">
	<tr valign="middle">
		<td width="98%" align="right">検索 <html:text name="keywords"/></td>
		<td width="2%" align="right"><html:actiona status="result" action="search"><img src="<request:contextpath/>/image/go.gif"></html:actiona></td>
	</tr>
</table>
</html:form>

<br>
<table cellspacing="0" cellpadding="0">
	<tr valign="middle">
		<td align="right"><img src="<request:contextpath/>/image/p01.gif"></td>
		<td align="left">・・・最終訪問日以降の新しい投稿があります。</td>
	</tr>
	<tr valign="middle">
		<td align="right"><img src="<request:contextpath/>/image/p02.gif"></td>
		<td align="left">・・・最終訪問日以降の新しい投稿はありません。</td>
	</tr>
</table>
<!-- main end -->

<!-- footer start -->
<%@ include file="/include/footer.jsp" %>
<!-- footer end -->
<%
/*
 * MORPHO GENERATION-F, Open Source Groupware Solutions
 * http://www.mintjams.jp/
 *
 * Copyright (c) 2004, MintJams, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3. Neither the name of the MintJams, Inc. nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
%>
