<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-action.tld" prefix="action" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-html.tld" prefix="html" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-text.tld" prefix="text" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-logic.tld" prefix="logic" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-request.tld" prefix="request" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-resource.tld" prefix="resource" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-validator.tld" prefix="validator" %>
<%@ page import="java.util.*" %>
<%@ page import="jp.morpho.util.*" %>
<%@ page import="jp.morpho.webapp.servlet.http.*" %>
<%@ page import="jp.co.mintjams.generation.base.*" %>
<%@ page import="jp.co.mintjams.generation.base.util.*" %>
<%@ include file="/include/vars.jsp" %>
<%
	title = "フォーラム";
%>
<!-- header start -->
<%@ include file="/include/header.jsp" %>
<!-- header end -->

<!-- main start -->
<validator:existsmessage>
	<jsp:include page="/include/open_information.jsp"/>
	<validator:messages name="keywords" prefix="<font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font><br>"/>
	<jsp:include page="/include/close_information.jsp"/>
<table width="100%" cellspacing="0" cellpadding="4">
	<tr>
		<td align="left">
			<a href="<request:contextpath/>/bb/"><b>メイン</b></a>
		</td>
	</tr>
</table>
</validator:existsmessage>
<validator:notexistsmessage>
<table width="100%" cellspacing="0" cellpadding="4">
	<tr valign="top">
		<td align="left">
			<a href="<request:contextpath/>/bb/"><img src="<request:contextpath/>/image/p01s.gif"> <b>メイン</b></a><br>
			&nbsp;&nbsp;<img src="<request:contextpath/>/image/p01s.gif"> <b>検索結果</b><br>
		</td>
	</tr>
</table>

<% if (form.getInt("keywords_count") > form.getInt("max_search_keywords")) { %>
検索条件が多いため、最初の <%= form.getInt("max_search_keywords") %> 個を使用して検索しています。<br>
<% } %>
<% if (form.getInt("max_rows") > form.getInt("max_search_results")) { %>
検索結果 <%= form.getInt("max_rows") %> 件中、最初の <%= form.getInt("max_search_results") %> 件を表示しています。<br>
<% } %>
<html:form name="form0">
<table width="100%" class="waku1" cellspacing="0" cellpadding="1">
	<tr>
		<td>
			<table width="100%" class="box2" cellspacing="1" cellpadding="4">
				<tr valign="top">
					<th width="20%" align="left">
						フォーラム<br>
					</th>
					<th width="40%" align="left">
						スレッド<br>
					</th>
					<th width="10%" align="center">
						投稿者<br>
					</th>
					<th width="5%" align="center">
						返信<br>
					</th>
					<th width="5%" align="center">
						閲覧<br>
					</th>
					<th width="20%" align="center">
						投稿日時<br>
					</th>
				</tr>
				<html:tbody scope="request" name="results">
				<logic:isodd>
				<tr class="line1" valign="top">
				</logic:isodd>
				<logic:iseven>
				<tr class="line2" valign="top">
				</logic:iseven>
					<td align="left">
						<a href="<request:contextpath/>/bb/<html:encode name="categories_id"/>/<html:encode name="forums_id"/>"><b><html:encode name="forums_name"/></b></a><br>
					</td>
					<td align="left">
						<a href="<request:contextpath/>/bb/<html:encode name="categories_id"/>/<html:encode name="forums_id"/>/<html:encode name="topics_id"/>"><b><html:encode name="posts_title"/></b></a><br>
					</td>
					<td align="center">
						<a href="<%= profileContextPath %>/view/<html:encode name="posters_id"/>"><html:encode name="posters_name"/></a><br>
					</td>
					<td align="center">
						<text:numberformat name="topics_replies" template="count"/><br>
					</td>
					<td align="center">
						<text:numberformat name="topics_views" template="count"/><br>
					</td>
					<td align="center" nowrap>
						<text:dateformat name="date_added" pattern="yyyy-MM-dd HH:mm:ss"/><br>
					</td>
				</tr>
				</html:tbody>
			</table>
		</td>
	</tr>
</table>
</html:form>

<br>

<html:form name="searchForm">
<table width="100%" cellspacing="0" cellpadding="0">
	<tr valign="middle">
		<td width="98%" align="right">検索 <html:text name="keywords"/></td>
		<td width="2%" align="right"><html:actiona status="result" action="search"><img src="<request:contextpath/>/image/go.gif"></html:actiona></td>
	</tr>
</table>
</html:form>
</validator:notexistsmessage>
<!-- main end -->

<!-- footer start -->
<%@ include file="/include/footer.jsp" %>
<!-- footer end -->
<%
/*
 * MORPHO GENERATION-F, Open Source Groupware Solutions
 * http://www.mintjams.jp/
 *
 * Copyright (c) 2004, MintJams, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3. Neither the name of the MintJams, Inc. nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
%>
