<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-action.tld" prefix="action" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-html.tld" prefix="html" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-text.tld" prefix="text" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-logic.tld" prefix="logic" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-request.tld" prefix="request" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-resource.tld" prefix="resource" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-validator.tld" prefix="validator" %>
<%@ page import="java.util.*" %>
<%@ page import="jp.morpho.util.*" %>
<%@ page import="jp.morpho.webapp.servlet.http.*" %>
<%@ page import="jp.co.mintjams.generation.base.*" %>
<%@ page import="jp.co.mintjams.generation.base.util.*" %>
<%@ include file="/include/vars.jsp" %>
<%
	title = "フォーラム";
%>
<!-- header start -->
<%@ include file="/include/header.jsp" %>
<!-- header end -->

<!-- main start -->
<%
	String categoryId = form.getString("categories_id");
	String forumId = form.getString("forums_id");
%>

<action:equals status="topic.new.success">
<jsp:include page="topic.new.success.jsp"/>
</action:equals>
<action:equals status="topic.new.failure">
<jsp:include page="topic.new.failure.jsp"/>
</action:equals>
<action:equals status="topic.input">
<validator:messages name="categories_id" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
<validator:messages name="forums_id" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
<html:form name="form0" enctype="multipart/form-data">
<table width="512" class="waku1" cellspacing="0" cellpadding="1">
	<tr>
		<td>
			<table width="100%" class="waku2" cellspacing="6" cellpadding="0">
				<tr>
					<td colspan="2" align="center">
						<font class="title">新規スレッド</font><br>
					</td>
				</tr>
				<tr>
					<td class="sep_solid" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left" width="20%">
						<b>題名</b><br>
					</th>
					<td align="left" width="80%">
						<html:text name="posts_title"/><br>
						<validator:messages name="posts_title" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left">
						<b>メッセージアイコン</b><br>
					</th>
					<td align="left">
						<html:radio name="topics_status" value="1"/><img src="<request:contextpath/>/image/p_icon1.gif">
						<html:radio name="topics_status" value="2"/><img src="<request:contextpath/>/image/p_icon2.gif">
						<html:radio name="topics_status" value="3"/><img src="<request:contextpath/>/image/p_icon3.gif">
						<html:radio name="topics_status" value="4"/><img src="<request:contextpath/>/image/p_icon4.gif">
						<validator:messages name="topics_status" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left">
						<b>メッセージ</b><br>
					</th>
					<td align="left">
						<html:textarea name="posts_message"/><br>
						<validator:messages name="posts_message" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
					</td>
				</tr>
				<tr valign="top">
					<th align="left">
						<b>添付ファイル</b><br>
					</th>
					<td align="left">
						<html:file name="posts_file"/>
						<validator:messages name="posts_file" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<td align="center" colspan="2">
						<html:actionbutton action="new" name="ok" value="送信"/>
						&nbsp;&nbsp;&nbsp;&nbsp;
						<input type="button" name="backbtn" value="投稿中止" onclick="document.location='<request:contextpath/>/bb/<%= categoryId %>/<%= forumId %>'">
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</html:form>
</action:equals>
<table width="100%" cellspacing="0" cellpadding="4">
	<tr>
		<td align="left">
			<a href="<request:contextpath/>/bb/"><b>メイン</b></a>
			&nbsp;|&nbsp;<a href="<request:contextpath/>/bb/<%= categoryId %>/<%= forumId %>/"><b>フォーラム</b></a>
		</td>
	</tr>
</table>
<!-- main end -->

<!-- footer start -->
<%@ include file="/include/footer.jsp" %>
<!-- footer end -->
<%
/*
 * MORPHO GENERATION-F, Open Source Groupware Solutions
 * http://www.mintjams.jp/
 *
 * Copyright (c) 2004, MintJams, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3. Neither the name of the MintJams, Inc. nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
%>
