<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-action.tld" prefix="action" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-html.tld" prefix="html" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-text.tld" prefix="text" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-logic.tld" prefix="logic" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-request.tld" prefix="request" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-resource.tld" prefix="resource" %>
<%@ taglib uri="http://itruth.mintjams.co.jp/tlds/itruth-validator.tld" prefix="validator" %>
<%@ page import="java.util.*" %>
<%@ page import="jp.morpho.util.*" %>
<%@ page import="jp.morpho.webapp.servlet.http.*" %>
<%@ page import="jp.co.mintjams.generation.base.*" %>
<%@ page import="jp.co.mintjams.generation.base.util.*" %>
<%@ include file="/include/vars.jsp" %>
<%
	title = "スタイルシート";

	//ステータス更新
	actionRequest.setStatus("style.new");
%>
<!-- header start -->
<%@ include file="/include/header.jsp" %>
<!-- header end -->

<!-- main start -->
<html:form name="form0" action="download.jsp">
<table width="800" class="waku1" cellspacing="0" cellpadding="1">
	<tr>
		<td>
			<table width="100%" class="waku2" cellspacing="6" cellpadding="0">
				<tr>
					<td colspan="2" align="center">
						<font class="title">スタイルシート作成</font><br>
					</td>
				</tr>
				<tr>
					<td class="sep_solid" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left" width="20%">
						<b>スタイル名</b><br>
					</th>
					<td align="left" width="80%">
						<html:text name="styles_name" size="50"/><br>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left" width="20%">
						<b>スタイルファイル名</b><br>
					</th>
					<td align="left" width="80%">
						<html:text name="styles_file_name" size="50"/><br>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left">
						<b>フォントタイプ</b><br>
					</th>
					<td align="left">
						1.
						<select name="styles_font_famiry1">
							<option>ＭＳ Ｐゴシック</option>
						</select>
						2.
						<select name="styles_font_famiry2">
							<option>Osaka</option>
						</select>
						3.
						<select name="styles_font_famiry3">
							<option>Gothic</option>
						</select>
						4.
						<select name="styles_font_famiry4">
							<option>sans-serif</option>
						</select>
						<br>
						<validator:messages name="styles_font_famiry1" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font><br>"/>
						<validator:messages name="styles_font_famiry2" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font><br>"/>
						<validator:messages name="styles_font_famiry3" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font><br>"/>
						<validator:messages name="styles_font_famiry4" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font><br>"/>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left">
						<b>背景色（ベース）</b><br>
					</th>
					<td align="left">
						<html:text name="styles_base_bgcolor" value="#ffffff"/><br>
						<validator:messages name="styles_base_bgcolor" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left">
						<b>背景色（リストの偶数行など）</b><br>
					</th>
					<td align="left">
						<html:text name="styles_list_bgcolor" value="#fffeed"/><br>
						<validator:messages name="styles_list_bgcolor" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left">
						<b>枠線＆項目の背景色：濃い色</b><br>
					</th>
					<td align="left">
						<html:text name="styles_dark_color" value="#ff8eb4"/><br>
						<validator:messages name="styles_dark_color" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left">
						<b>枠線＆項目の背景色：薄い色</b><br>
					</th>
					<td align="left">
						<html:text name="styles_light_color" value="#ffccdd"/><br>
						<validator:messages name="styles_light_color" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left">
						<b>文字色（ベース）</b><br>
					</th>
					<td align="left">
						<html:text name="styles_base_color" value="#000000"/><br>
						<validator:messages name="styles_base_color" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left">
						<b>項目・タイトル文字色</b><br>
					</th>
					<td align="left">
						<html:text name="styles_title_color" value="#ff3366"/><br>
						<validator:messages name="styles_title_color" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left">
						<b>項目・タイトル文字色（背景色が濃い色用）</b><br>
					</th>
					<td align="left">
						<html:text name="styles_title2_color" value="#ffffff"/><br>
						<validator:messages name="styles_title2_color" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left">
						<b>リンク文字色（通常）</b><br>
					</th>
					<td align="left">
						<html:text name="styles_a_color" value="#ff9966"/><br>
						<validator:messages name="styles_a_color" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left">
						<b>リンク文字色（マウスオーバー時）</b><br>
					</th>
					<td align="left">
						<html:text name="styles_ahover_color" value="#ffcc00"/><br>
						<validator:messages name="styles_ahover_color" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<th align="left">
						<b>エラーメッセージ文字色</b><br>
					</th>
					<td align="left">
						<html:text name="styles_error_color" value="#cc0000"/><br>
						<validator:messages name="styles_error_color" prefix="<br><font class=\"error\"><b><i>！</i></b>&nbsp;" suffix="</font>"/>
					</td>
				</tr>
				<tr>
					<td class="sep_dotted" colspan="2"><img src="<request:contextpath/>/image/spacer.gif" width="1" height="1"></td>
				</tr>
				<tr valign="top">
					<td align="center" colspan="2">
						<html:actionbutton action="ok" name="send" value="作成"/>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</html:form>
<!-- main end -->

<!-- footer start -->
<%@ include file="/include/footer.jsp" %>
<!-- footer end -->
<%
/*
 * MORPHO GENERATION-F, Open Source Groupware Solutions
 * http://www.mintjams.jp/
 *
 * Copyright (c) 2004, MintJams, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3. Neither the name of the MintJams, Inc. nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
%>
